AnsweredAssumed Answered

"gst-inspect | grep" mfw for iMX28, but no mfw_mpeg4aspdecoder, mfw_h264decoder with latest version gastrmear pkgs.

Question asked by surajit.pal on Sep 15, 2012
Latest reply on Oct 9, 2014 by ralph__

Hi,

I am trying to run "gst-inspect | grep mfw" but no mfw_mpeg4aspdecoder/mfw_h264decoder available plugins.
But all mfw mpep4 & h264, v44sink, mp3 .so lib are created at /usr/lib/gsteamer-0.10/  and /lib/

Version used :
Gstreamer (version :: 0.10.28)
Gstreamer-plugins-base (version :: 0.10.28)
Gstreamer-plugins-good (version :: 0.10.21)

mm codecs pkg is latest one 1.9.6

our H/W is base iMX28 without audio device/driver.

Also copied as ::

cp /usr/lib/gstreamer-0.10/libmfw_gst_mpeg4aspdec.so lib_MPEG4ASP_dec_arm9_elinux.so.1.2.1
cp /usr/lib/lib_MPEG4ASP_dec_arm9_elinux.so /usr/lib/lib_MPEG4ASP_dec_arm9_elinux.so.1.2.1


When run gst-inspect first time only got this warning but 2nd time didn’t get any warning but no plugins for video.


(gst-plugin-scanner:2271): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libmfw_gst_mpeg4aspdec.so': lib_MPEG4ASP_dec_arm9_elinux.so.1.2.1: cannot open shared object file: No such file or directory

 

(gst-plugin-scanner:2271): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libmfw_gst_h264dec.so': /usr/lib/gstreamer-0.10/libmfw_gst_h264dec.so: undefined symbol: gst_mfw_buffer_get_type


Please suggesting me, any help would be appreciated.

With Regards,
Surajit Pal

 

Outcomes